Package org.eclipse.gef.geometry.convert.fx

# Class Geometry2FX

java.lang.Object
org.eclipse.gef.geometry.convert.fx.Geometry2FX

public class Geometry2FX extends Object
Utility class to support conversions between GEF's geometry API and corresponding JavaFX classes.

## Method Summary

Modifier and Type
Method
Description
`static final javafx.scene.transform.Affine`
`toFXAffine(AffineTransform transform)`
Converts the given `AffineTransform` to a JavaFX `Affine`.
`static final javafx.geometry.Bounds`
`toFXBounds(Rectangle r)`
Converts the given `Rectangle` to a JavaFX `Bounds`.
`static final javafx.geometry.Point2D`
`toFXPoint(Point p)`
Converts the given `Point` to a JavaFX `Point2D`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toFXBounds

public static final javafx.geometry.Bounds toFXBounds(Rectangle r)
Converts the given `Rectangle` to a JavaFX `Bounds`. The new `Bounds`'s `min-x` and `min-y` values are set to the `Rectangle`'s x- and y-coordinates and the `Bounds`'s `width` and `height` values are set to the `Rectangle`'s width and height, respectively.

Parameters:
  `r` - The `Rectangle` to convert.
Returns:
  The new `Bounds`.

### toFXAffine

public static final javafx.scene.transform.Affine toFXAffine(AffineTransform transform)
Converts the given `AffineTransform` to a JavaFX `Affine`.

Parameters:
  `transform` - The `AffineTransform` to convert.
Returns:
  The new `Affine`.

### toFXPoint

public static final javafx.geometry.Point2D toFXPoint(Point p)
Converts the given `Point` to a JavaFX `Point2D`.

Parameters:
  `p` - The `Point` to convert.
Returns:
  The new `Point2D`.